lzth.net
当前位置:首页 >> uBuntu下怎么安装iA32%liBs%multiArCh >>

uBuntu下怎么安装iA32%liBs%multiArCh

在终端中输入:sudo apt-get install ia-32 libs,执行后若提示缺少所需要的依赖,继续执行sudo apt-get install -f即可。

这是从ubuntu中文论坛上粘过来的Poloshiao大神的回复:自 Ubuntu 13.10 及 以後版本 已经是 multiarch 不需要再安装 ia32-libs 直接安装 32 bit 的套件即可 如果安装过程 还是出现缺少 ia32-libs 的错误讯息 需要到 Ubuntu 13.04 套件库 下载 ia...

sudo apt-get install g++-multilib sudo apt-get install libncurses5:i386 sudo apt-get install libc6:i386 libgcc1:i386 gcc-4.6-base:i386 libstdc++5:i386 libstdc++6:i386

直接使用Mint 17的deb包安装就可以了。亲测通过。本人主要是在安装Beyond Compare的时候提示要安装ia32-libs这个包。 直接下载下面的链接就可以了。 http://pkgs.org/mint-17/mint-main-amd64/ia32-libs_2014.05.14_amd64.deb/download/

到xidige博客找“Ubuntu 64位系统安装与使用android环境的错误”,可以看到如何装32位库,我就是按那个方法装的,新版本的ubuntu已经没有ia32-libs库了

自 Ubuntu 13.10 及 以後版本 已经是 multiarch, 不需要再安装 ia32-libs, 直接安装 32 bit的套件即可。 如果安装过程 还是出现缺少 ia32-libs 的错误讯息, 需要到 Ubuntu 13.04 套件库 下载 ia32-libs 及 ia32-libs-multiarch 的 deb 档案下...

也就是说安装libgtk2.0-0:i386 之前必须先安装那六个软件包,要确保自己的机器上有这些包,或者可以通过网络获取到这些包。

sudo gedit /etc/apt/sources.list 之后在最后一行添加 deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse 保存 执行 sudo apt-get update sudo apt-get install libgtk2.0-0:i386 libxxf86vm1:i386 libsm6:i3...

64位系统下执行 dpkg -l libc6 你会看到 libc6:amd64 32位libc6对应的就是libc6:i386 apt-cache show libc6:i386 比如64位Ubuntu安装32位的WPS的时候就需要安装32位的libc6 sudo apt-get install libc6:i386 libc6:amd64和libc6:i386的库位置: /...

安装新立德软件包管理器:打开终端,输入以下命令:sudo apt-get install synaptic 打开新立德软件包管理器,选择“设置>软件库” 选择“其他软件 > 添加” 在APT行中输入 "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe ...

网站首页 | 网站地图
All rights reserved Powered by www.lzth.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com